#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	ksba
#-----------------------------------------------------------------------------
Name		:	libksba
Version		:	1.6.4
Release		:	17.0.10.rel%{?dist}
Summary		:	X.509 library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnupg.org/ftp/gcrypt/libksba

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libgpg-error
#-----------------------------------------------------------------------------
%description
KSBA (pronounced Kasbah) is a library to make X.509 certificates as
well as the CMS easily accessible by other applications.  Both
specifications are building blocks of S/MIME and TLS.

KSBA is made available as a standard shared library and reserves
identifiers starting with "ksba" and "_ksba" (also uppercase and mixed
case).  It does not rely on another cryptographic library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README THANKS
%{_libdir}/%{name}.so.8*

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development headers and libraries for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}.h
%{_bindir}/%{sname}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{sname}.pc
%{_datadir}/aclocal/%{sname}.m4
%{_datadir}/info/*.info.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__rm}  %{buildroot}/%{_datadir}/info/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
